* {
  box-sizing: border-box;
}

body {
  background: linear-gradient(to left, rgb(59, 94, 139), rgb(7, 44, 92));
}

h2,
h3,
h4 {
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  text-align: center;
  /* line-height: 15px; */
}

h3 {
  font-size: 16px;
  font-weight: normal;
}

h4 {
  line-height: 0px;
}

p {
  text-align: justify;
}
a {
  color: rgb(72, 136, 165);
}

.Title {
  text-align: center;
  font-family: "Anton", "Times New Roman", Times, serif;
  color: #d9d9d9;
  font-size: 25px;
  margin-bottom: 50px;
}

.main {
  top: 50%;
  left: 50%;
  width: 50%;
  max-width: 600px;
  min-width: 340px;
  position: absolute;
  transform: translate(-50%, -50%);
}

.main-container {
  height: 247px;
  box-shadow: 5px 6px 12px 6px rgba(7, 16, 27, 0.3);
  border-radius: 8px;
}

.side-left {
  float: left;
  width: 50%;
  height: 247px;
  padding: 20px 20px 20px 0px;
  background-color: rgb(218, 251, 255);
  opacity: 90%;
  border-radius: 8px 0 0 8px;

  transition: all 0.3s;
}

.side-right {
  float: right;
  width: 50%;
  height: 247px;
  padding: 20px 0px 20px 20px;
  background-color: rgb(218, 251, 255);
  opacity: 40%;
  border-radius: 0 8px 8px 0;

  transition: all 0.3s;
}

.game-control {
  position: absolute;
  top: 66%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80px;
  z-index: 2;
}

.current-score {
  margin: auto;
  width: 60%;
  color: rgb(255, 255, 255);
  background-color: rgb(0, 98, 143);
  padding: 2px 5px;
  border-radius: 10px;
  box-shadow: inset 0px 0px 8px 8px rgba(0, 74, 109, 0.5);
}

.dice-div {
  width: 80px;
  height: 80px;
  background-color: white;
  border-radius: 15px;
  margin: 5px 0;
}

.dice-anim {
  animation: slidein2 0.3s alternate 2;
}

@keyframes slidein2 {
  from {
    box-shadow: transparent;
  }

  to {
    box-shadow: 2px 2px 5px 2px rgba(7, 16, 27, 0.3);
  }
}

.information {
  width: 20px;
  text-align: center;
  margin-top: -12px;
  margin-left: 8px;
  position: absolute;
  cursor: pointer;
  background-color: rgb(134, 197, 226);
  padding: 2px;
  border-radius: 5px;
}

.container-information {
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  min-width: 340px;

  padding: 2px 20px;
  border-radius: 10px;
  background-color: white;
  z-index: 6;
}

.container-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
  z-index: 5;
}

.hidden {
  display: none;
}

.close-information-window {
  float: right;
  font-size: 20px;
  cursor: pointer;
  width: 10px;
  height: 10px;
}

button {
  align-items: center;
  width: 100%;
  height: 40px;
  background-color: rgba(255, 255, 255, 0.7);
  color: rgb(61, 43, 28);
  padding: 5px 10px;
  margin: 3px 0;
  border: 1px solid rgb(255, 255, 255);
  border-radius: 20px;
  cursor: pointer;
  transition: all 0.3s;
}

button:hover {
  background-color: rgba(255, 255, 255, 1);
}

button:active {
  background-color: rgba(226, 226, 226, 1);
}

/* button animation */
.btn-anim {
  animation: slidein 0.3s alternate infinite;
}

@keyframes slidein {
  from {
    background-color: rgba(226, 226, 226, 1);
    /* width: 100%; */
  }

  to {
    background-color: rgb(253, 253, 253);
    /* width: 110%; */
  }
}

/* crown */
#player1-crown-image,
#player2-crown-image {
  position: absolute;
  margin-bottom: 50px;
  padding: 7px;
  transition: all 0.3s;
  opacity: 0;
}

.total-win {
  width: 40px;
  height: 40px;
  margin: -40px auto 0 auto;
  border: 2px solid rgba(0, 74, 109, 0.5);
  border-radius: 20px;
  background-color: white;
  font-size: 24px;
  font-weight: bold;
  box-shadow: 0px 6px 8px -5px rgba(0, 0, 0, 0.4);

  display: flex;
  justify-content: space-around;
  align-items: center;
}

.footer {
  position: fixed;
  left: 0;
  bottom: 10px;
  width: 100%;
  font-size: 12px;
  color: rgb(72, 136, 165);
  text-align: center;
}
